MethodInfo (EL 6.0 API Documentation - Apache Tomcat 11.0.24)
Description: declaration: package: jakarta.el, class: MethodInfo

# Class MethodInfo

java.lang.Object
jakarta.el.MethodInfo

public class MethodInfo extends Object
Holds metadata about a method that an EL method expression resolves to, including the method name, return type, and parameter types.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)`
  Constructs a MethodInfo with the given name, return type, and parameter types.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getName()`
  Returns the name of the method.
  `Class<?>[]`
  `getParamTypes()`
  Returns the parameter types of the method.
  `Class<?>`
  `getReturnType()`
  Returns the return type of the method.
  `int`
  `hashCode()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MethodInfo

    public MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)
    Constructs a MethodInfo with the given name, return type, and parameter types.
    Parameters:
      `name` - The name of the method
      `returnType` - The return type of the method
      `paramTypes` - The parameter types of the method

- ## Method Details

  - ### getName

    public String getName()
    Returns the name of the method.
    Returns:
      the method name

  - ### getReturnType

    public Class<?> getReturnType()
    Returns the return type of the method.
    Returns:
      the return type

  - ### getParamTypes

    public Class<?>[] getParamTypes()
    Returns the parameter types of the method.
    Returns:
      the parameter types

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`